## geos 0.0.1

=== DESCRIPTION ===
Package: geos
Title: Open Source Geometry Engine ('GEOS') R API
Version: 0.0.1
Authors@R: 
    c(
      person(given = "Dewey",
             family = "Dunnington",
             role = c("aut", "cre"),
             email = "dewey@fishandwhistle.net",
             comment = c(ORCID = "0000-0002-9415-4582")),
       person(given = "Edzer",
              family = "Pebesma",
              role = c("aut"),
              email = "edzer.pebesma@uni-muenster.de",
              comment = c(ORCID = "0000-0001-8049-7069"))
    )
Description: Provides an R API to the Open Source Geometry Engine
  ('GEOS') library (<https://trac.osgeo.org/geos/>) and a vector format 
  with which to efficiently store 'GEOS' geometries. High-performance functions 
  to extract information from, calculate relationships between, and
  transform geometries are provided. Finally, facilities to import 
  and export geometry vectors to other spatial formats are provided.
License: MIT + file LICENSE
Encoding: UTF-8
LazyData: true
RoxygenNote: 7.1.1
Suggests: testthat (>= 2.1.0), wk, vctrs, sf, wkutils
Imports: libgeos (>= 3.8.1-2)
URL: https://paleolimbot.github.io/geos/,
        https://github.com/paleolimbot/geos/
BugReports: https://github.com/paleolimbot/geos/issues
LinkingTo: libgeos
NeedsCompilation: yes
Packaged: 2020-08-07 15:32:19 UTC; dewey
Author: Dewey Dunnington [aut, cre] (<https://orcid.org/0000-0002-9415-4582>),
  Edzer Pebesma [aut] (<https://orcid.org/0000-0001-8049-7069>)
Maintainer: Dewey Dunnington <dewey@fishandwhistle.net>
Repository: CRAN
Date/Publication: 2020-08-13 09:10:02 UTC

## geos 0.0.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: geos
 Title: Open Source Geometry Engine ('GEOS') R API
-Version: 0.0.1
+Version: 0.0.2
 Authors@R: 
     c(
       person(given = "Dewey",
@@ -31,9 +31,9 @@
 BugReports: https://github.com/paleolimbot/geos/issues
 LinkingTo: libgeos
 NeedsCompilation: yes
-Packaged: 2020-08-07 15:32:19 UTC; dewey
+Packaged: 2021-01-04 12:30:11 UTC; dewey
 Author: Dewey Dunnington [aut, cre] (<https://orcid.org/0000-0002-9415-4582>),
   Edzer Pebesma [aut] (<https://orcid.org/0000-0001-8049-7069>)
 Maintainer: Dewey Dunnington <dewey@fishandwhistle.net>
 Repository: CRAN
-Date/Publication: 2020-08-13 09:10:02 UTC
+Date/Publication: 2021-01-04 15:30:10 UTC

## geos 0.1.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: geos
 Title: Open Source Geometry Engine ('GEOS') R API
-Version: 0.0.2
+Version: 0.1.0
 Authors@R: 
     c(
       person(given = "Dewey",
@@ -22,18 +22,17 @@
   and export geometry vectors to other spatial formats are provided.
 License: MIT + file LICENSE
 Encoding: UTF-8
-LazyData: true
 RoxygenNote: 7.1.1
-Suggests: testthat (>= 2.1.0), wk, vctrs, sf, wkutils
-Imports: libgeos (>= 3.8.1-2)
+Suggests: testthat (>= 2.1.0), vctrs, sf, wkutils
+Imports: libgeos (>= 3.8.1-4), wk (>= 0.4.1)
 URL: https://paleolimbot.github.io/geos/,
         https://github.com/paleolimbot/geos/
 BugReports: https://github.com/paleolimbot/geos/issues
-LinkingTo: libgeos
+LinkingTo: libgeos, wk
 NeedsCompilation: yes
-Packaged: 2021-01-04 12:30:11 UTC; dewey
+Packaged: 2021-05-03 16:59:50 UTC; dewey
 Author: Dewey Dunnington [aut, cre] (<https://orcid.org/0000-0002-9415-4582>),
   Edzer Pebesma [aut] (<https://orcid.org/0000-0001-8049-7069>)
 Maintainer: Dewey Dunnington <dewey@fishandwhistle.net>
 Repository: CRAN
-Date/Publication: 2021-01-04 15:30:10 UTC
+Date/Publication: 2021-05-03 17:20:03 UTC

## geos 0.1.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: geos
 Title: Open Source Geometry Engine ('GEOS') R API
-Version: 0.1.0
+Version: 0.1.1
 Authors@R: 
     c(
       person(given = "Dewey",
@@ -30,9 +30,9 @@
 BugReports: https://github.com/paleolimbot/geos/issues
 LinkingTo: libgeos, wk
 NeedsCompilation: yes
-Packaged: 2021-05-03 16:59:50 UTC; dewey
+Packaged: 2021-05-17 20:47:45 UTC; dewey
 Author: Dewey Dunnington [aut, cre] (<https://orcid.org/0000-0002-9415-4582>),
   Edzer Pebesma [aut] (<https://orcid.org/0000-0001-8049-7069>)
 Maintainer: Dewey Dunnington <dewey@fishandwhistle.net>
 Repository: CRAN
-Date/Publication: 2021-05-03 17:20:03 UTC
+Date/Publication: 2021-05-18 15:40:16 UTC

## geos 0.1.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: geos
 Title: Open Source Geometry Engine ('GEOS') R API
-Version: 0.1.1
+Version: 0.1.2
 Authors@R: 
     c(
       person(given = "Dewey",
@@ -22,7 +22,7 @@
   and export geometry vectors to other spatial formats are provided.
 License: MIT + file LICENSE
 Encoding: UTF-8
-RoxygenNote: 7.1.1
+RoxygenNote: 7.1.2
 Suggests: testthat (>= 2.1.0), vctrs, sf, wkutils
 Imports: libgeos (>= 3.8.1-4), wk (>= 0.4.1)
 URL: https://paleolimbot.github.io/geos/,
@@ -30,9 +30,9 @@
 BugReports: https://github.com/paleolimbot/geos/issues
 LinkingTo: libgeos, wk
 NeedsCompilation: yes
-Packaged: 2021-05-17 20:47:45 UTC; dewey
+Packaged: 2021-10-21 15:06:19 UTC; deweydunnington
 Author: Dewey Dunnington [aut, cre] (<https://orcid.org/0000-0002-9415-4582>),
   Edzer Pebesma [aut] (<https://orcid.org/0000-0001-8049-7069>)
 Maintainer: Dewey Dunnington <dewey@fishandwhistle.net>
 Repository: CRAN
-Date/Publication: 2021-05-18 15:40:16 UTC
+Date/Publication: 2021-10-22 08:50:05 UTC

## geos 0.1.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: geos
 Title: Open Source Geometry Engine ('GEOS') R API
-Version: 0.1.2
+Version: 0.1.3
 Authors@R: 
     c(
       person(given = "Dewey",
@@ -23,16 +23,17 @@
 License: MIT + file LICENSE
 Encoding: UTF-8
 RoxygenNote: 7.1.2
-Suggests: testthat (>= 2.1.0), vctrs, sf, wkutils
+Suggests: testthat (>= 3.0.0), vctrs, sf
 Imports: libgeos (>= 3.8.1-4), wk (>= 0.4.1)
 URL: https://paleolimbot.github.io/geos/,
         https://github.com/paleolimbot/geos/
 BugReports: https://github.com/paleolimbot/geos/issues
 LinkingTo: libgeos, wk
+Config/testthat/edition: 3
 NeedsCompilation: yes
-Packaged: 2021-10-21 15:06:19 UTC; deweydunnington
+Packaged: 2021-11-07 00:13:04 UTC; deweydunnington
 Author: Dewey Dunnington [aut, cre] (<https://orcid.org/0000-0002-9415-4582>),
   Edzer Pebesma [aut] (<https://orcid.org/0000-0001-8049-7069>)
 Maintainer: Dewey Dunnington <dewey@fishandwhistle.net>
 Repository: CRAN
-Date/Publication: 2021-10-22 08:50:05 UTC
+Date/Publication: 2021-11-07 05:10:03 UTC

## geos 0.2.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: geos
 Title: Open Source Geometry Engine ('GEOS') R API
-Version: 0.1.3
+Version: 0.2.0
 Authors@R: 
     c(
       person(given = "Dewey",
@@ -15,14 +15,15 @@
               comment = c(ORCID = "0000-0001-8049-7069"))
     )
 Description: Provides an R API to the Open Source Geometry Engine
-  ('GEOS') library (<https://trac.osgeo.org/geos/>) and a vector format 
+  ('GEOS') library (<https://libgeos.org/>) and a vector format 
   with which to efficiently store 'GEOS' geometries. High-performance functions 
   to extract information from, calculate relationships between, and
   transform geometries are provided. Finally, facilities to import 
   and export geometry vectors to other spatial formats are provided.
 License: MIT + file LICENSE
 Encoding: UTF-8
-RoxygenNote: 7.1.2
+RoxygenNote: 7.2.1
+SystemRequirements: C++11
 Suggests: testthat (>= 3.0.0), vctrs, sf
 Imports: libgeos (>= 3.8.1-4), wk (>= 0.4.1)
 URL: https://paleolimbot.github.io/geos/,
@@ -31,9 +32,9 @@
 LinkingTo: libgeos, wk
 Config/testthat/edition: 3
 NeedsCompilation: yes
-Packaged: 2021-11-07 00:13:04 UTC; deweydunnington
+Packaged: 2022-09-03 01:49:02 UTC; deweydunnington
 Author: Dewey Dunnington [aut, cre] (<https://orcid.org/0000-0002-9415-4582>),
   Edzer Pebesma [aut] (<https://orcid.org/0000-0001-8049-7069>)
 Maintainer: Dewey Dunnington <dewey@fishandwhistle.net>
 Repository: CRAN
-Date/Publication: 2021-11-07 05:10:03 UTC
+Date/Publication: 2022-09-03 06:30:06 UTC

## geos 0.2.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: geos
 Title: Open Source Geometry Engine ('GEOS') R API
-Version: 0.2.0
+Version: 0.2.1
 Authors@R: 
     c(
       person(given = "Dewey",
@@ -32,9 +32,9 @@
 LinkingTo: libgeos, wk
 Config/testthat/edition: 3
 NeedsCompilation: yes
-Packaged: 2022-09-03 01:49:02 UTC; deweydunnington
+Packaged: 2022-09-17 17:59:47 UTC; deweydunnington
 Author: Dewey Dunnington [aut, cre] (<https://orcid.org/0000-0002-9415-4582>),
   Edzer Pebesma [aut] (<https://orcid.org/0000-0001-8049-7069>)
 Maintainer: Dewey Dunnington <dewey@fishandwhistle.net>
 Repository: CRAN
-Date/Publication: 2022-09-03 06:30:06 UTC
+Date/Publication: 2022-09-18 08:46:03 UTC

## geos 0.2.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: geos
 Title: Open Source Geometry Engine ('GEOS') R API
-Version: 0.2.1
+Version: 0.2.2
 Authors@R: 
     c(
       person(given = "Dewey",
@@ -32,9 +32,9 @@
 LinkingTo: libgeos, wk
 Config/testthat/edition: 3
 NeedsCompilation: yes
-Packaged: 2022-09-17 17:59:47 UTC; deweydunnington
+Packaged: 2022-10-22 17:48:51 UTC; deweydunnington
 Author: Dewey Dunnington [aut, cre] (<https://orcid.org/0000-0002-9415-4582>),
   Edzer Pebesma [aut] (<https://orcid.org/0000-0001-8049-7069>)
 Maintainer: Dewey Dunnington <dewey@fishandwhistle.net>
 Repository: CRAN
-Date/Publication: 2022-09-18 08:46:03 UTC
+Date/Publication: 2022-10-22 18:35:06 UTC

## geos 0.2.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: geos
 Title: Open Source Geometry Engine ('GEOS') R API
-Version: 0.2.2
+Version: 0.2.3
 Authors@R: 
     c(
       person(given = "Dewey",
@@ -22,8 +22,7 @@
   and export geometry vectors to other spatial formats are provided.
 License: MIT + file LICENSE
 Encoding: UTF-8
-RoxygenNote: 7.2.1
-SystemRequirements: C++11
+RoxygenNote: 7.2.3
 Suggests: testthat (>= 3.0.0), vctrs, sf
 Imports: libgeos (>= 3.8.1-4), wk (>= 0.4.1)
 URL: https://paleolimbot.github.io/geos/,
@@ -32,9 +31,9 @@
 LinkingTo: libgeos, wk
 Config/testthat/edition: 3
 NeedsCompilation: yes
-Packaged: 2022-10-22 17:48:51 UTC; deweydunnington
+Packaged: 2023-05-29 15:46:04 UTC; deweydunnington
 Author: Dewey Dunnington [aut, cre] (<https://orcid.org/0000-0002-9415-4582>),
   Edzer Pebesma [aut] (<https://orcid.org/0000-0001-8049-7069>)
 Maintainer: Dewey Dunnington <dewey@fishandwhistle.net>
 Repository: CRAN
-Date/Publication: 2022-10-22 18:35:06 UTC
+Date/Publication: 2023-05-31 22:40:02 UTC

## geos 0.2.4

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: geos
 Title: Open Source Geometry Engine ('GEOS') R API
-Version: 0.2.3
+Version: 0.2.4
 Authors@R: 
     c(
       person(given = "Dewey",
@@ -31,9 +31,9 @@
 LinkingTo: libgeos, wk
 Config/testthat/edition: 3
 NeedsCompilation: yes
-Packaged: 2023-05-29 15:46:04 UTC; deweydunnington
+Packaged: 2023-11-30 02:22:08 UTC; deweydunnington
 Author: Dewey Dunnington [aut, cre] (<https://orcid.org/0000-0002-9415-4582>),
   Edzer Pebesma [aut] (<https://orcid.org/0000-0001-8049-7069>)
 Maintainer: Dewey Dunnington <dewey@fishandwhistle.net>
 Repository: CRAN
-Date/Publication: 2023-05-31 22:40:02 UTC
+Date/Publication: 2023-11-30 05:50:03 UTC

## geos 0.2.5

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: geos
 Title: Open Source Geometry Engine ('GEOS') R API
-Version: 0.2.4
+Version: 0.2.5
 Authors@R: 
     c(
       person(given = "Dewey",
@@ -22,18 +22,19 @@
   and export geometry vectors to other spatial formats are provided.
 License: MIT + file LICENSE
 Encoding: UTF-8
-RoxygenNote: 7.2.3
-Suggests: testthat (>= 3.0.0), vctrs, sf
-Imports: libgeos (>= 3.8.1-4), wk (>= 0.4.1)
+RoxygenNote: 7.3.2
+Suggests: testthat (>= 3.0.0), vctrs, terra, sf
+Imports: libgeos (>= 3.8.1-4), methods, wk (>= 0.4.1)
 URL: https://paleolimbot.github.io/geos/,
-        https://github.com/paleolimbot/geos/
+        https://github.com/paleolimbot/geos
 BugReports: https://github.com/paleolimbot/geos/issues
 LinkingTo: libgeos, wk
 Config/testthat/edition: 3
 NeedsCompilation: yes
-Packaged: 2023-11-30 02:22:08 UTC; deweydunnington
-Author: Dewey Dunnington [aut, cre] (<https://orcid.org/0000-0002-9415-4582>),
-  Edzer Pebesma [aut] (<https://orcid.org/0000-0001-8049-7069>)
+Packaged: 2025-12-19 04:48:10 UTC; deweydunnington
+Author: Dewey Dunnington [aut, cre] (ORCID:
+    <https://orcid.org/0000-0002-9415-4582>),
+  Edzer Pebesma [aut] (ORCID: <https://orcid.org/0000-0001-8049-7069>)
 Maintainer: Dewey Dunnington <dewey@fishandwhistle.net>
 Repository: CRAN
-Date/Publication: 2023-11-30 05:50:03 UTC
+Date/Publication: 2025-12-19 09:30:02 UTC

## geos 3.2.2

=== debian/changelog ===
geos (3.2.2-1) unstable; urgency=low

  [ Alan Boudreault ]
  * New upstream release.
	
  [ Francesco Paolo Lovergine ]
  * Policy set to 3.9.1, without changes.
  * Merged log for post squeeze release.
  * Repository moved to git and changed Vcs-* fields as required.
  * Source format moved to 3.0 with quilt support.
  * Policy changed to 3.9.1, without changes.
  * Added ${misc:Depends} to bin pkgs due to dh use.
  * Added -dbg package for debugging symbols.
    (closes: #582273)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Thu, 03 Mar 2011 13:40:04 +0100

geos (3.2.0-1) unstable; urgency=low

  * New upstream release.
  * Removed kobold among uploaders because no more active on DebianGIS packages.
  * Policy bumped to 3.8.3, without changes.
  * Changed a bit debian/rules to manage RC patch version.
  * Now, it does not install libtool helper file .la, as currently deprecated. 
  * Revised licenses around and updated the debian/copyright file.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Thu, 21 Jan 2010 17:05:45 +0100

geos (3.1.1-1) unstable; urgency=low

  * New upstream release (bug fixes only).
  * Added me as an uploader.
  * Policy bumped to 3.8.2 (no changes).
  * Introduced a debian/control.in template to version automagically 
    the C++ binding package and dependencies.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Fri, 26 Jun 2009 14:28:42 +0200

geos (3.1.0-1) unstable; urgency=low

  * New upstream release.
  * This version includes also a missing header inclusion, which caused FTBFS
    on armel. (Closes: #520447)

 -- Fabio Tranchitella <kobold@debian.org>  Fri, 27 Mar 2009 15:54:54 +0100

geos (3.0.3-2) unstable; urgency=low

  * debian/control: do not build the python bindings, they are deprecated by
    upstream and superseded by python-shapely.

 -- Fabio Tranchitella <kobold@debian.org>  Fri, 06 Mar 2009 13:28:29 +0100

geos (3.0.3-1) unstable; urgency=low

  [ Francesco Paolo Lovergine ]
  * New upstream release.
  * Updated debian/copyright adding copyright notice [lintian].
  * Policy bumped to 3.8.0 (no changes)
  * C++ version bumped in package name.
  * Updated homepage fields in debian/control to reflect moving into OSGeo
    infrastracture.
  * Watch file updated.
    (closes: #504470)
  * Patch gcc43.dpatch removed, merged upstream.
  * Moved to debhelper level 7. 
  * Some minor clean up in debian/rules.

  [ Fabio Tranchitella ]
  * debian/control: added libgeos-ruby1.8 and python-geos. (Closes: #509679)
  * debian/copyright: updated.

 -- Fabio Tranchitella <kobold@debian.org>  Thu, 05 Mar 2009 20:18:57 +0100

geos (3.0.0-5) unstable; urgency=low

  * debian/rules: fixed a FTBFS on arm eabi; patch from Riku Voipio.
    (Closes: #480345)

 -- Fabio Tranchitella <kobold@debian.org>  Mon, 12 May 2008 12:33:47 +0200

geos (3.0.0-4) unstable; urgency=low

  * [PATCH] gcc4.3.dpatch added to manage GCC 4.3 issue.
    (closes: #456089)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Thu, 10 Apr 2008 14:27:56 +0200

geos (3.0.0-3) unstable; urgency=low

  * debian/rules: the library itself (.so file) shouldn't be in the -dev
    package. (Closes: #471745)

 -- Fabio Tranchitella <kobold@debian.org>  Thu, 20 Mar 2008 08:30:03 +0100

geos (3.0.0-2) unstable; urgency=low

  * Upload to unstable.

 -- Fabio Tranchitella <kobold@debian.org>  Wed, 19 Mar 2008 19:18:41 +0100

geos (3.0.0-1) experimental; urgency=low

  [ Francesco Paolo Lovergine ]
  * Added Vcs-* fields to debian/control
  * Policy bumped to 3.7.3 without changes
  * Removed Steve Halasz among Uploaders (last contribute is almost 2 years ago).
  * Fixed debian/watch.
    (closes: #460009)
  * Now using ${binary:Version} instead of obsoleted ${Source-Version}

  [ Fabio Tranchitella ]
  * New upstream release. (Closes: #458893, #456089)
  * Renamed binary package libgeos2c2a to libgeos-3.0.0 for C++ ABI transition.

 -- Fabio Tranchitella <kobold@debian.org>  Mon, 28 Jan 2008 17:42:00 +0100

geos (2.2.3-4) unstable; urgency=low

  [ Fabio Tranchitella ]
  * debian/watch: fixed.

  [ Paul Wise ]
  * Switch to the new Homepage field

  [ Francesco Paolo Lovergine ]
  * Fixed lintian error: debian-rules-ignores-make-clean-error  

 -- Francesco Paolo Lovergine <frankie@debian.org>  Wed, 17 Oct 2007 12:30:10 +0200

geos (2.2.3-3) unstable; urgency=low

  * debian/control: move doxygen from build-depends-indep to build-depends.

 -- Fabio Tranchitella <kobold@debian.org>  Mon,  6 Nov 2006 21:35:52 +0100

geos (2.2.3-2) unstable; urgency=low

  * Upload to unstable.
  * debian/rules: added -V switch to dh_makeshlibs, since 2.2.3 doesn't bump
    the SONAME but provides new functions. Packages which depend on this
    version or above should have a versioned build-dependency on this release.

 -- Fabio Tranchitella <kobold@debian.org>  Wed,  1 Nov 2006 08:46:54 +0100

geos (2.2.3-1) experimental; urgency=low

  * New upstream release. (Closes: #370498)

 -- Fabio Tranchitella <kobold@debian.org>  Tue, 10 Oct 2006 19:56:09 +0200

geos (2.2.1-1) unstable; urgency=low

  [ Steve Halasz ]
  * New upstream release
  * Convert to team maintenance by DebianGIS group
  * 2.2.1 introduces a new C API in the libgeos-c1 package
  * Apply patch from Martin Michlmayr for FTBFS with g++
    (Closes: #356111)
  * Don't put empty ChangeLog file in packages	

  [ Paul Wise ]
  * Add homepages to the package descriptions.
  * Add a watchfile

  * Upload sponsored by Peter Reinholdtsen

 -- Steve Halasz <debian@adkgis.org>  Sun, 15 Jan 2006 13:53:40 +0800

geos (2.1.4-2) unstable; urgency=low

  * Rename to libgeos2c2a for the libstdc++ transition.
    Transitions are fun. Wheeeeee!

 -- Steve Halasz <debian@adkgis.org>  Fri, 18 Nov 2005 13:22:44 -0500

geos (2.1.4-1) unstable; urgency=low

  * New upstream release

 -- Steve Halasz <debian@adkgis.org>  Sat,  5 Nov 2005 20:15:22 -0500

geos (2.1.3-2) unstable; urgency=low

  * libgeos-dev should depend on libgeos2c2 rather than libgeos2


=== debian/control ===
Source: geos
Section: science
Priority: optional
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Francesco Paolo Lovergine <frankie@debian.org>
Build-Depends: debhelper (>= 7), doxygen, swig, ruby, ruby-dev,
 python-all, python-all-dev, python-central (>= 0.5)
Standards-Version: 3.9.1
Homepage: http://trac.osgeo.org/geos/
Vcs-Browser: http://git.debian.org/?p=pkg-grass/geos.git
Vcs-Git: git://git.debian.org/git/pkg-grass/geos

Package: libgeos-dev
Section: libdevel
Architecture: any
Depends: libgeos-3.2.2 (= ${binary:Version}), libgeos-c1 (= ${binary:Version}), ${misc:Depends}
Suggests: libgdal-doc
Description: Geometry engine for GIS - Development files
 GEOS provides a spatial object model and fundamental geometric
 functions. It implements the geometry model defined in the
 OpenGIS Consortium Simple Features Specification for SQL. 
 .
 This package contains the headers and libraries needed to 
 develop programs using GEOS.

Package: libgeos-c1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Geometry engine for Geographic Information Systems - C Library
 GEOS provides a spatial object model and fundamental geometric
 functions. It implements the geometry model defined in the
 OpenGIS Consortium Simple Features Specification for SQL.
 Functions provided include:
 .
   * spatial predicates (based on the DE-9IM model),
   * overlay functions (intersection, difference, union,
     symmetric difference),
   * buffer,
   * convex hull,
   * area and distance functions, and
   * topological validity checking
 .
 This package contains the C library. A C++ library is provided
 by the libgeos* package.

Package: libgeos-3.2.2
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Geometry engine for Geographic Information Systems - C++ Library
 GEOS provides a spatial object model and fundamental geometric 
 functions. It implements the geometry model defined in the 
 OpenGIS Consortium Simple Features Specification for SQL. 
 Functions provided include:
 .
   * spatial predicates (based on the DE-9IM model),
   * overlay functions (intersection, difference, union, 
     symmetric difference),
   * buffer,
   * convex hull,
   * area and distance functions, and
   * topological validity checking
 .
 This package contains the C++ library. A C library is provided
 by the libgeos-c* package.

Package: libgeos-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: libgeos-dev (= ${binary:Version})
Homepage: http://download.osgeo.org/geos/doxygen/
Description: Documentation for the GEOS GIS geometry engine library
 GEOS provides a spatial object model and fundamental geometric
 functions. It implements the geometry model defined in the
 OpenGIS Consortium Simple Features Specification for SQL.
 .
 This package contains the documentation for the GEOS API.

Package: libgeos-ruby1.8
Section: ruby
Architecture: any
Depends: libgeos-3.2.2 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: GEOS bindings for Ruby
 GEOS provides a spatial object model and fundamental geometric
 functions. It implements the geometry model defined in the
 OpenGIS Consortium Simple Features Specification for SQL.
 .
 This package contains the Ruby bindings for GEOS.

Package: libgeos-dbg
Architecture: any
Section: debug
Priority: extra
Depends: libgeos-3.2.2 (= ${binary:Version}), libgeos-c1 (= ${binary:Version}), ${misc:Depends}
Description: Debugging symbols for the GEOS library
 GEOS provides a spatial object model and fundamental geometric
 functions. It implements the geometry model defined in the
 OpenGIS Consortium Simple Features Specification for SQL.
 .
 This package contains the debugging symbols for C/C++ GEOS library.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

# Guessing geos version, which is required for C++ binding support
VER_MAJOR=$(shell grep ^VERSION_MAJOR configure.in|cut -d= -f2)
VER_MINOR=$(shell grep ^VERSION_MINOR configure.in|cut -d= -f2)
VER_PATCH=$(shell grep ^VERSION_PATCH configure.in|cut -d= -f2|cut -dr -f1)
VER=$(VER_MAJOR).$(VER_MINOR).$(VER_PATCH)
ifeq (..,$(VER))
$(error configure.in not found or version cannot be guessed)
else
$(info Guessed geos version is $(VER))
endif

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif
ifeq ($(DEB_HOST_GNU_TYPE),arm-linux-gnueabi)
       CONFFLAGS += --disable-inline
endif

debian/control: 
		@sed -e 's/@VERSION@/$(VER)/' debian/control.in >$@

config.status: debian/control configure
	dh_testdir
	# Add here commands to configure the package.
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	mv config.sub config.sub.bak
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	mv config.guess config.guess.bak
	cp -f /usr/share/misc/config.guess config.guess
endif
	CFLAGS="$(CFLAGS)" ./configure \
        --host=$(DEB_HOST_GNU_TYPE) \
        --build=$(DEB_BUILD_GNU_TYPE) \
        --enable-ruby \
		--prefix=/usr \
        --mandir=\$${prefix}/share/man \
        --infodir=\$${prefix}/share/info $(CONFFLAGS)
	cp debian/libgeos-c++.install debian/libgeos-$(VER).install
	cp debian/libgeos-c++.dirs debian/libgeos-$(VER).dirs

#Architecture
build: build-arch build-indep

build-arch: build-arch-stamp
build-arch-stamp:  config.status
	# Add here commands to compile the arch part of the package.
	$(MAKE)
	touch $@

build-indep: build-indep-stamp
build-indep-stamp:  config.status
	# Add here commands to compile the indep part of the package.
	$(MAKE) -C doc doxygen-html
	touch $@

clean: 
	dh_testdir
	dh_testroot
	[ ! -f Makefile ] || $(MAKE) distclean
	[ -f config.sub.bak ] && mv config.sub.bak config.sub || true
	[ -f config.guess.bak ] && mv config.guess.bak config.guess || true
	dh_clean 
	rm -f debian/libgeos-$(VER).install debian/libgeos-$(VER).dirs

install: install-indep install-arch
install-indep:
	dh_testdir
	dh_testroot
	dh_prep -i
	dh_installdirs -i
	dh_install -i
	# debian/libgeos-doc
	# Install doxygen html files
	install -m 644 doc/doxygen_docs/html/* debian/libgeos-doc/usr/share/doc/libgeos-doc/html
	# Install example program source
	install -m 644 doc/example.cpp debian/libgeos-doc/usr/share/doc/libgeos-doc/examples
	install -m 644 debian/Makefile.example debian/libgeos-doc/usr/share/doc/libgeos-doc/examples/Makefile

install-arch:
	dh_testdir
	dh_testroot
	dh_prep -s
	dh_installdirs -s
	# Add here commands to install the arch part of the package into
	# debian/tmp.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	dh_install -s --sourcedir=debian/tmp
	dh_installman -plibgeos-dev debian/geos-config.1
	# remove the library from the -dev package
	rm -f $(CURDIR)/debian/libgeos-dev/usr/lib/libgeos-*.so
	# debian/libgeos-ruby1.8
	mkdir -p debian/libgeos-ruby1.8/usr/lib/ruby/
	cp -ax debian/tmp/usr/local/lib/site_ruby/1.8 \
	       debian/libgeos-ruby1.8/usr/lib/ruby/1.8
	find  debian/libgeos-ruby*/usr/lib/ruby -name "*.la" -delete || true

# Must not depend on anything. This is to be called by
# binary-arch/binary-indep
# in another 'make' thread.
binary-common:
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_link
	dh_strip --dbg-package=libgeos-dbg
	dh_compress
	dh_fixperms
	dh_makeshlibs -V
	dh_installdeb
	dh_shlibdeps
	for i in $$(grep ^Package: debian/control|cut -d' ' -f2); do \
			echo "geos:Version=$(VER)" >> $$i.substvars; \
	done
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture independant packages using the common target.
binary-indep: build-indep install-indep
	$(MAKE) -f debian/rules DH_OPTIONS=-i binary-common

# Build architecture dependant packages using the common target.
binary-arch: build-arch install-arch
	$(MAKE) -f debian/rules DH_OPTIONS=-a binary-common

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install install-indep install-arch debian/control

=== debian/watch ===
version=3
http://download.osgeo.org/geos/geos-([\d\.]+)\.tar\.bz2	debian	uupdate
